using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HTCoreServiceApp.Models
{
    /// <summary>
    /// 变量信息表
    ///</summary>
    [SugarTable("Meta_Tag")]
    public class MetaTag
    {
        /// <summary>
        /// 变量ID 
        ///</summary>
         [SugarColumn(ColumnName="TagID" ,IsPrimaryKey = true ,IsIdentity = true  )]
         public short TagID { get; set; }
        /// <summary>
        /// 变量名称 
        ///</summary>
         [SugarColumn(ColumnName="TagName"    )]
         public string TagName { get; set; }
        /// <summary>
        /// 数据类型 
        ///</summary>
         [SugarColumn(ColumnName="DataType"    )]
         public byte DataType { get; set; }
        /// <summary>
        /// 数据长度 
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="DataSize"    )]
         public short DataSize { get; set; }
        /// <summary>
        /// DB编号 
        ///</summary>
        [SugarColumn(ColumnName = "DBNumber")]
        public string DBNumber { get; set; }
        /// <summary>
        /// DB块地址 
        ///</summary>
        [SugarColumn(ColumnName="Address"    )]
         public string Address { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="GroupID"    )]
         public short GroupId { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
         [SugarColumn(ColumnName="IsActive"    )]
         public bool IsActive { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="Archive"    )]
         public bool Archive { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="DefaultValue"    )]
         public string DefaultValue { get; set; }
        /// <summary>
        /// 注释 
        ///</summary>
         [SugarColumn(ColumnName="Description"    )]
         public string Description { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="Maximum"    )]
         public decimal Maximum { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="Minimum"    )]
         public decimal Minimum { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
         [SugarColumn(ColumnName="Cycle"    )]
         public int Cycle { get; set; }
        /// <summary>
        /// 系统名称 
        /// 默认值: ('None')
        ///</summary>
         [SugarColumn(ColumnName="Subsystem"    )]
         public string Subsystem { get; set; }
        /// <summary>
        /// 单位 
        /// 默认值: ('N')
        ///</summary>
         [SugarColumn(ColumnName="Units"    )]
         public string Units { get; set; }
        /// <summary>
        /// 写入地址 
        ///</summary>
         [SugarColumn(ColumnName="WriteAddress"    )]
         public string WriteAddress { get; set; }
        /// <summary>
        /// 变量分类 
        /// 默认值: (NULL)
        ///</summary>
         [SugarColumn(ColumnName="SysType"    )]
         public string SysType { get; set; }
        /// <summary>
        /// 完整地址 
        ///</summary>
         [SugarColumn(ColumnName="SysAddress"    )]
         public string SysAddress { get; set; }
        /// <summary>
        /// 整数转浮点小数位 
        ///</summary>
         [SugarColumn(ColumnName="IFloatPlaces"    )]
         public byte? IFloatPlaces { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="PLCAddress"    )]
         public string PLCAddress { get; set; }
    }
}
